[ previous ] [ Contents ] [ 1 ] [ 2 ] [ 3 ] [ 4 ] [ next ]

Release Notes for Debian GNU/Linux 3.0 (`woody'), IA-64
Chapter 4 - Appendix


4.1 Renamed Packages

The following packages have been renamed as shown. In most, if not all, cases, Conflicts:, Replaces:, and Provides: fields (or even dummy packages) have been provided so the new package will either get installed automatically, and/or will safely replace or remove the old one. This also includes packages that have been merged into other packages as this gives the same end result as a rename.

     
               gimp -> gimp1.2 (GIMP1.2 release only)
               sawmill -> sawfish
               dict-web1913 -> dictgcide
               amcl -> gnome-mud
               rstart -> xutils
               rstartd -> xutils
               xbooks -> xspecs
               xfonts-cjk -> xfonts-base
               xcontrib -> xbase-clients
               xlib6g-static -> xlibs-dev
               listar -> ecartis
               cln -> libcln2
               cln-dev -> libcln-dev
               pgp-i, pgp-us -> pgp
               cvs-doc -> cvs
               acm -> acm4
               user-ja -> language-env
               expect5.31, expect5.24 -> expect
               sgml-tools -> linuxdoc-tools
               sgmltools-2 -> sgmltools-lite
               bonnie -> bonnie++
               c2ps -> a2ps
               camlp4 -> ocaml
               corel-util -> nwutil
               crossfire-sounds -> crossfire-client-sounds
               cslatex, csplain, cstexfonts -> tetex
               cspsfonts -> tetex-extra
               custom-mule -> mule2-support
               docbook2x, cygnus-stylesheets -> docbook-utils
               db -> db2
               dgs -> xfree86
               docbook-stylesheets -> docbook-dsssl
               genius, drgeo -> drgenius
               egcs1.0 -> egcs1.1
               emacs19 -> emacs20
               f77reorder -> g77
               flim1.13 -> flim
               gdict -> gnome-utils
               libgmp2, gmp, gmp1 -> libgmp3
               gnome-users-guide-en -> gnome-user-docs
               gnomehack -> nethack
               gpasm -> gputils
               gsl-ref-pdf -> gsl-ref-ps
               gstep-core -> gnustep-core
               gstep-extensions -> gnustep-extensions
               gstep-guile -> gnustep-guile
               gzilla -> dillo
               hanterm -> hanterm-xf
               imap -> uw-imap
               iplogger -> ippl
               jgroff -> groff
               lib-sax-java, lib-xp-java, lib-xt-java -> xalan2, libxt-java
               libansicolor-perl -> perl
               libape -> libcommonc++
               libgc4 -> libgc6
               libgcj -> libgcj2
               libid3 -> id3lib
               libmalaga1 -> malaga
               libmpeg-mp3info-perl -> libmp3-info-perl
               libpth -> pth
               libv1.22 -> libv1.25
               listar -> ecartis
               lvm -> lvm10
               mdutils -> raidtools2
               mutt-ja -> mutt
               myodbc2.50.26 -> libmyodbc
               oldncurses, ncurses3.4, ncurses4.2 -> ncurses (5.2)
               nfs-server -> nfs-user-server
               palm-doctoolkit -> pyrite-publisher
               pbm2ppa -> pnm2ppa
               pcre, pcre2 -> pcre3
               puzzle -> tree-puzzle
               rt -> root-tail
               selfhtml -> chaos, t-gnus
               sgmlspm -> libsgmls-perl
               synaptics -> tpconfig
               tknamazu -> namazu2
               typist -> gtypist
               umich-ldap -> openldap
               wanderlust2 -> wl-beta
               wdsetup -> nictools-nopci
               wnn6-dev -> wnn6-sdk
               wxftp -> axyftp
               xacc -> gnucash
               xjscal -> libjsw
               zope-siteaccess -> zope

Although we have made every effort to complete this list, it may still not be exhaustive.


4.2 Split Packages

Between releases 2.2 (`potato') and 3.0 (`woody'), a number of packages have been split into two or more packages. The reason for these splits, in general, is that the original package provided a diverse set of functionalities, and that few, if any, users used all of these components.Some packages will display a notice warning of the split during the installation, some mention it in the package description, and some just ignore it.

If you find that a familiar package is lacking some or all of its functionality, check the list below to see if you need to install additional packages to restore the original functionality. Failing that, check the changelog for the package, which can be found in /usr/share/doc/package/changelog.Debian.gz.

The following is a list of packages that have been split (this list may not be complete):

              
               isdnutils -> ipppd, isdnlog, isdnutils-doc, isdnutils-xtools,
               isdnvboxserver, isdnvboxclient
            
               xpdf -> xpdf-reader, xpdf-utils, xpdf-chinese-simplified,
               xpdf-chinese-traditional, xpdf-cyrillic, xpdf-japanese,
               xpdf-korean,xpdf-thai
                 
               cupsys -> cupsys (CUPS daemon), cupsys-client (CUPS client),
               cupsys-pstoraster (postscript rasterizer)
                 
               groff -> groff-base, groff, groff-x11
                 
               xspectemu -> spectemu-common, spectemu-svga, spectemu-x11
                 
               ecpg ->  libecpg3 (library), postgresql-dev (development files)
                 
               postgresql-pl -> libpgperl, libpgtcl
                 
               netbase -> netbase, portmap, ifupdown, ipautofw, ipchains,
               ipfwadm, ipmasqadm, iputils, net-tools, netkit-base
                 
               uqwk -> uqwk, uqwk-spool
                 
               tetex-bin -> tetex-bin, texi2html
                 
               xproxy -> lbxproxy, proxymngr, xfwp
                 
               xlib6g -> xlibs, libxaw6
               
               xlib6g-dev -> libxaw6-dev, xlibs-dev  
                 
               xbase-clients, xlib6g-dev, xcontrib -> xutils
     
               xconq -> xconq, xconq-common
                 
               python-imaging-doc -> python-imaging-doc,
               python-imaging-doc-html, python-imaging-doc-pdf
                 
               gnumeric -> gnumeric, gnumeric-doc, gnumeric-python
                 
               latex2rtf -> latex2rtf, latex2rtf-doc
                 
               glade -> glade, glade-gnome, glade-gnome-db, glade-common,
               glade-doc
                 
               apmd -> apmd, xapm, libapm1, libapm-dev, powermgmt-base
     
               uudeview -> uudeview, xdeview, libuu-dev
                 
               sysklogd -> sysklogd, klogd 
                
               xtide -> xtide, xtide-data
                 
               snack -> libsnack2, libsnack2-dev, libsnack2-doc
                 
               gnapster -> gnapster, gnapster-gtk
                 
               proftpd -> proftpd, proftpd-common, proftpd-doc, proftpd-ldap,
               proftpd-mysql, proftpd-pgsql
                
               alsaplayer -> alsaplayer-common, alsaplayer-gtk, alsaplayer-nas,
               alsaplayer-text, libalsaplayer-dev, libalsaplayer0

4.3 Removed packages


4.3.1 Packages removed because of no maintainer

These are packages which have been removed because no Debian maintainer was interested in maintaining them. The number associated with the bug is included as this provides further information on the reason why the package was removed. To use this number visit the Bug Tracking System and do a query based on the bugnumber.

The alternatives field lists any packages that might replace the removed package.

                 
                 asclock-gtk
                 Alternatives: asclock, gnome-applets
                 Bug: #91943
     
                 bridge, bridgex
                 Bug: #80926
     
                 bwnfsd
                 Bug: #107083
     
                 dialdcost
                 Bug: #90361
     
                 dotfile-doc
                 Bug: #116545
     
                 dstool
                 Bug: #68308
     
                 dstool-doc
                 Bug: #68309
     
                 gmasqdialer
                 Bug: #127196
     
                 gnats2w
                 Bug: #123544
     
                 ical
                 Bug: #92286
     
                 ircd-dalnet
                 Alternatives: ircd, dancer-ircd
                 Bug: #93627
     
                 ivtools, ivtools-bin, ivtools-dev, ivtools-interviews, ivtools-unidraw 
     
                 jaztool
                 Bug: #91797
     
                 libggidemos
                 Bug: #111965
     
                 libliteclue
                 Bug: #95503
     
                 libtclobjc
                 Bug: #108187
     
                 mico-2.3.0
                 Bug: #91274
     
                 pact
                 Bug: #72432
     
                 ppd-gs
                 Bug: #68081
     
                 sliplogin
                 Bug: #68104
     
                 x48
                 Bug: #110944

4.3.2 Packages lacking upstream

These are packages which have been removed because they lack an upstream maintainer. The number associated with the bug is included as this provides further information on the reason why the package was removed. To use this number visit the Bug Tracking System and do a query based on the bugnumber.

The alternatives field lists any packages that might replace the removed package.

                 abacus
                 Alternatives: gnumeric
                 Bug: #89715
     
                 arena
                 Alternatives: mozilla, konqueror
                 Bug: #83867
     
                 bezerk
                 Alternatives: irssi-gtk
                 Bug: #86611
     
                 blackjack
                 Bug: #110369 110313
     
                 cdwrite
                 Alternatives: cdrecord
                 Bug: #80353
     
                 dejasearch
                 Bug: #114643
     
                 dsc
                 Bug: #92576
     
                 dtm
                 Bug: #82741
     
                 empire-ptkei
                 Bug: #86230
     
                 express
                 Bug: #80396
     
                 fakebo
                 Bug: #82481
     
                 gnome-napster
                 Alternatives: gnapster, gnapster-gtk, lopster
                 Bug: #87380
     
                 icl-faq
                 Bug: #105385
     
                 libhtml-ep-perl
                 Bug: #89376
     
                 libtcl-ldap
                 Bug: #113574
     
                 macgate
                 Bug: #85261
     
                 maplay3
                 Alternatives: madplay, mpg321, xmms
                 Bug: #132374
     
                 pyrite
                 Bug: #102307
     
                 scwm
                 Bug: #115814
     
                 zicq
                 Alternatives: vicq, gabber, gaim
                 Bug: #117936

4.3.3 Packages removed for other reasons

The reason for the removal of the package is listed below the name of the package. The number associated with the bug is included as this provides further information on the reason why the package was removed. To use this number visit the Bug Tracking System and do a query based on the bugnumber.

The alternatives field lists any packages that might replace the removed package.

                 ae
                 Replaced by the more user-friendly editor nano
                 Alternatives: nano
                 Bug: #110678
     
                 barracuda
                 Moved to non-US but never appeared there
     
                 darxite 
                 Remotely exploitable buffer overflow. Not easy to fix, would
                 require full audit
                 Bug: #87406
     
                 dhcpcd
                 Buggy, insecure, better alternatives are available
                 Alternatives: dhcp-client, udhcpc
                 Bug: #81627
     
                 dosemu
                 Moved to contrib
     
                 dtlk
                 Obsolete, now comes with kernel
                 Bug: #97532
     
                 empire-pei
                 Out of sync with empire server
                 Bug: #82466
     
                 guavac
                 Old, obsolete, jikes is better
                 Alternatives: jikes
                 Bug: #68246
     
                 ldp-ligs, ldp-lkmpg, ldp-sag-it
                 License problems
                 Bug: #80782
     
                 libdnd
                 Old and unused
                 Bug: #83565
     
                 nextaw
                 No longer works with XFree86 4
                 Alternatives: libxaw7
                 Bug: #105532
     
                 omirr
                 Obsolete; only works with kernel 2.0.11
                 Bug: #79833
     
                 povray-manual
                 Large, non-free, downloadable from web, non-compliant HTML, non-compliant
                 policy
                 Bug: #82587
     
                 sharc            
                 Obsolete, it was providing relay-filtering for sendmail before
                 sendmail had this feature.
                 Alternatives: sendmail
                 Bug: #92655
     
                 dftp
     
                 gnuchess
     
                 elm-me+

[ previous ] [ Contents ] [ 1 ] [ 2 ] [ 3 ] [ 4 ] [ next ]

Release Notes for Debian GNU/Linux 3.0 (`woody'), IA-64

$Id: release-notes.en.sgml,v 1.1 2003/01/04 00:37:57 joy Exp $

Josip Rodin, Bob Hilliard, Adam Di Carlo, Anne Bezemer, Rob Bradford (current)
debian-doc@lists.debian.org